## Update to Bioc 3.12
BiocManager::install(version = "3.12", ask = FALSE, quiet = TRUE)

## CRAN dependencies
BiocManager::install(c("usethis", "git2r", "devtools", "remotes"), quiet = TRUE)
BiocManager::install("rmarkdown", quiet = TRUE)
BiocManager::install("tinytex", quiet = TRUE)
BiocManager::install("tidyverse", quiet = TRUE)
BiocManager::install("DT", quiet = TRUE)
BiocManager::install("patchwork", quiet = TRUE)
BiocManager::install("caret", quiet = TRUE)
BiocManager::install("e1071", quiet = TRUE)
BiocManager::install("class", quiet = TRUE)
BiocManager::install("factoextra", quiet = TRUE)
BiocManager::install("plotly", quiet = TRUE)
BiocManager::install("Rtsne", quiet = TRUE)
BiocManager::install("ggbeeswarm", quiet = TRUE)
BiocManager::install(c("RBGL", "graph"), quiet = TRUE)
BiocManager::install("js229/Vennerable", quiet = TRUE)
BiocManager::install("UpSetR", quiet = TRUE)
BiocManager::install("hexbin", quiet = TRUE)



## Bioconductor dependencies
BiocManager::install("Biostrings", quiet = TRUE)
BiocManager::install("BSgenome", quiet = TRUE)
BiocManager::install("BSgenome.Dmelanogaster.UCSC.dm2", quiet = TRUE)
BiocManager::install(c("Hiiragi2013", "curatedTCGAData", "ALL"), quiet = TRUE)
BiocManager::install("Gviz", quiet = TRUE)
BiocManager::install("cluster", quiet = TRUE)
BiocManager::install("airway", quiet = TRUE)
BiocManager::install("bioDist", quiet = TRUE)
BiocManager::install("SummarizedExperiment", quiet = TRUE)
BiocManager::install(c("mzR", "MSnbase", "pRolocdata"), quiet = TRUE)

BiocManager::install("DESeq2", quiet = TRUE)
BiocManager::install("biomaRt", quiet = TRUE)
BiocManager::install("org.Hs.eg.db", quiet = TRUE)
BiocManager::install("GO.db", quiet = TRUE)
BiocManager::install("msigdbr", quiet = TRUE)
BiocManager::install("clusterProfiler", quiet = TRUE)
BiocManager::install("DOSE", quiet = TRUE) 

## WSBIM2122 Mass spectrometry chapter
BiocManager::install("lgatto/ProtGenerics", quiet = TRUE)
BiocManager::install("msdata", quiet = TRUE)
BiocManager::install("mzR", quiet = TRUE)
BiocManager::install("RforMassSpectrometry/MsCoreUtils", quiet = TRUE)
BiocManager::install("RforMassSpectrometry/Spectra", quiet = FALSE)
BiocManager::install("RforMassSpectrometry/PSM", quiet = TRUE)

## WSBIM2122 Quantitative proteomics chapter
BiocManager::install("RforMassSpectrometry/QFeatures", quiet = TRUE)
BiocManager::install("preprocessCore", quiet = TRUE)
BiocManager::install("impute", quiet = TRUE)
BiocManager::install("limma", quiet = TRUE)

## WSBIM remotes dependencies
BiocManager::install("UCLouvain-CBIO/rWSBIM1207")
BiocManager::install("UCLouvain-CBIO/rWSBIM1322")
BiocManager::install("UCLouvain-CBIO/rWSBIM2122")


## Install and load renkur, to use it in Addins menu
devtools::install_git("https://renkulab.io/gitlab/cchoirat/renkur.git")
library(renkur)
